Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043030
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-28 12:292020-02-20 19:16
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision5c26532ae269
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043030: csv button enabled while editing filters with lazy fitlering enabled

DescriptionHaving a lazy filtering on grid set in Grid Configuration, export to CSV button should be disabled while editing filters until they are applied.
Steps To Reproduce1. Configure lazy filtering on grid for currency window
2. Open Currency window
  -> OK: CSV button is disabled
3. Apply empty filters
  -> OK: CSV button is enabled
4. Start editing some filters
  -> INCORRECT: tick button to apply filters is enabled as there are changes, but CSV button is enabled
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0043029 closedalostale export to csv doesn't timeout 
related to defect 0043291 closedcaristu csv button enabled while editing filters with lazy fitlering enabled (2) 

-  Notes
(0117371)
alostale (developer)
2020-01-30 15:29

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/39 [^]
(0117399)
hgbot (developer)
2020-01-31 10:03

Repository: erp/devel/pi
Changeset: 5c26532ae2698292ae09ee248cbc6d947903d967
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jan 31 09:20:48 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5c26532ae2698292ae09ee248cbc6d947903d967 [^]

fixed BUG-43030: csv button enabled while editing filters with lazy fitlering

  CSV export button was enabled while editing filters having lazy grid
  enabled causing confusion on what is going to be finally exported.

  Now it gets disabled while editing fiters.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0117400)
caristu (developer)
2020-01-31 10:08

Reviewed + tested OK

- Issue History
Date Modified Username Field Change
2020-01-28 12:29 alostale New Issue
2020-01-28 12:29 alostale Assigned To => platform
2020-01-28 12:29 alostale Modules => Core
2020-01-28 12:29 alostale Triggers an Emergency Pack => No
2020-01-28 12:29 alostale Relationship added related to 0043029
2020-01-28 12:34 alostale Status new => acknowledged
2020-01-28 13:22 ioritzCia Issue Monitored: ioritzCia
2020-01-30 15:16 alostale Assigned To platform => alostale
2020-01-30 15:16 alostale Review Assigned To => caristu
2020-01-30 15:29 alostale Note Added: 0117371
2020-01-31 10:03 hgbot Checkin
2020-01-31 10:03 hgbot Note Added: 0117399
2020-01-31 10:03 hgbot Status acknowledged => resolved
2020-01-31 10:03 hgbot Resolution open => fixed
2020-01-31 10:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5c26532ae2698292ae09ee248cbc6d947903d967 [^]
2020-01-31 10:08 caristu Note Added: 0117400
2020-01-31 10:08 caristu Status resolved => closed
2020-01-31 10:08 caristu Fixed in Version => 3.0PR20Q2
2020-02-20 19:16 caristu Issue cloned 0043291
2020-02-20 19:16 caristu Relationship added related to 0043291


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker